import { Component } from '@angular/core';
import { DateRangeDescriptor, DateRangeType } from 'igniteui-angular';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent {
  title = 'igx-calendar-demo';
  disabled: DateRangeDescriptor[] = [
    {
      // 2022年3月1日以前は選択不可
      type: DateRangeType.Before,
      dateRange: [new Date(2022, 2, 1)]
    },
    {
      // 2022年5月31日以降は選択不可
      type: DateRangeType.After,
      dateRange: [new Date(2022, 4, 31)]
    },
  ]
}
